event: accept
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Accept the specified event in a user calendar.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Calendars.ReadWrite |
| Delegated (personal Microsoft account) | Calendars.ReadWrite |
| Application | Calendars.ReadWrite |
HTTP request
POST /me/events/{id}/accept
POST /users/{id | userPrincipalName}/events/{id}/accept
POST /me/calendar/events/{id}/accept
POST /users/{id | userPrincipalName}/calendar/events/{id}/accept
POST /me/calendars/{id}/events/{id}/accept
POST /users/{id | userPrincipalName}/calendars/{id}/events/{id}/accept
POST /me/calendargroups/{id}/calendars/{id}/events/{id}/accept
POST /users/{id | userPrincipalName}/calendargroups/{id}/calendars/{id}/events/{id}/accept
Request headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer {token}. Required. |
| Content-Type | string | Nature of the data in the body of an entity. Required. |
Request body
In the request body, provide a JSON object with the following parameters.
| Parameter | Type | Description |
|---|---|---|
| comment | String | Text included in the response. Optional. |
| sendResponse | Boolean | true if a response is to be sent to the organizer; otherwise, false. Optional. Default is true. |
Response
If successful, this method returns 202 Accepted response code. It does not return anything in the response body.
Example
Here is an example of how to call this API.
Request
Here is an example of the request.
POST https://graph.microsoft.com/beta/me/events/{id}/accept
Content-type: application/json
{
"comment": "comment-value",
"sendResponse": true
}
Response
Here is an example of the response.
HTTP/1.1 202 Accepted
Feedback
Submit and view feedback for